using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using CompanyX.Insurance.La.DataContracts;
//using CompanyX.Insurance.La.FaultContracts;

namespace CompanyX.Insurance.La.ServiceContracts
{
    /// <summary>
    /// This is the interface definition for Life &amp; Annuity insurance for group policy transactions
    /// </summary>
    /// <remarks>ACORD v2.18.02 compliant (includes custom schema extensions for operation faults)</remarks>
    [XmlSerializerFormat]
    [ServiceContract(Name = "Group", Namespace = "urn:CompanyX.Insurance.La.ServiceContracts")]
    public interface IGroup
    {
        /// <summary>
        /// The purpose is to submit employee enrollment data to a carrier. The stream may contain one or 
        /// more employees enrollment data.
        /// </summary>
        /// <param name="request">TXLife Request Data</param>
        /// <returns>TXLife Response Data</returns>
        [OperationContract(Name = "EnrollEmployees")]
        //[FaultContract(typeof(EnrollEmployeesFt))]
        [return: MessageParameter(Name = "TXLifeResponse")]
        TXLifeResponse EnrollEmployees([MessageParameter(Name = "TXLifeRequest")]TXLifeRequest request);
    }
}
