using System;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Runtime.Serialization;
using CompanyX.Insurance.La.DataContracts;
using CompanyX.Insurance.La.FaultContracts;
using CompanyX.Insurance.La.ServiceContracts;

/// <summary>
/// The framework's service end-point of L&amp;A reporting. This service end-point
/// is designed to be ACORD v2.18.02 compliant (includes Microsoft-FSG specific schema 
/// extensions for operation faults). By default, this service uses the framework's 
/// provider however, the provider can be plugged into the appropriate backend system/service 
/// with optional message transformations
/// </summary>
/// <remarks>Security model is based on typical role definitions for the applicable process</remarks>
[ServiceBehavior(Name = "ReportingService", Namespace = "urn:CompanyX.Insurance.La.ServiceContracts")]
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
public class ReportingService : IReporting
{
    #region IReporting Members

    public TXLifeResponse ChangeBillingInformation(TXLifeRequest request)
    {
        throw new Exception("The method or operation is not implemented.");
    }

    public TXLifeResponse AddFinancialActivity(TXLifeRequest request)
    {
        throw new Exception("The method or operation is not implemented.");
    }

    public TXLifeResponse GetCommissionStatement(TXLifeRequest request)
    {
        throw new Exception("The method or operation is not implemented.");
    }

    public TXLifeResponse SendCommissionStatement(TXLifeRequest request)
    {
        throw new Exception("The method or operation is not implemented.");
    }

    public TXLifeResponse GetBillingStatement(TXLifeRequest request)
    {
        throw new Exception("The method or operation is not implemented.");
    }

    #endregion
}